#ifndef _WRIO_H_
#define _WRIO_H_

#ifdef __cplusplus
extern "C" {
#endif

// GetTickCount returns the time since midnight in milliseconds
#define GetTickCount (*(LPDWORD)(0x0040006cl) * 55)

BOOL WriteMcuByte(int, BYTE);
BOOL ReadMcuByte(int, PBYTE);
BOOL McuTransfer(int, int, PBYTE, int, PBYTE);
BYTE GetMcuStatus(int);
BOOL PerformReset(int);

BOOL LockDetect(int);
BOOL ValidateHandle(int, LPRADIOSETTINGS *);
void Delay(int);
BOOL SendI2CData(int, int, int, PBYTE);

#ifdef __cplusplus
}
#endif

#endif 
